Cache product price availability and booking details.
curl --request GET \
--url https://confirmation.freelancetravel.com/api/cache/product/{tdmsProductId}/price/{ppdid}/details \
--header 'Content-Type: application/json' \
--data '
{
"apiProviderId": 16,
"groupFaresForAvailabilityCheck": false,
"fareTypeId": 16,
"bookingDate": "2026-02-01T05:49:35",
"timeId": "architecto"
}
'import requests
url = "https://confirmation.freelancetravel.com/api/cache/product/{tdmsProductId}/price/{ppdid}/details"
payload = {
"apiProviderId": 16,
"groupFaresForAvailabilityCheck": False,
"fareTypeId": 16,
"bookingDate": "2026-02-01T05:49:35",
"timeId": "architecto"
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
apiProviderId: 16,
groupFaresForAvailabilityCheck: false,
fareTypeId: 16,
bookingDate: '2026-02-01T05:49:35',
timeId: 'architecto'
})
};
fetch('https://confirmation.freelancetravel.com/api/cache/product/{tdmsProductId}/price/{ppdid}/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://confirmation.freelancetravel.com/api/cache/product/{tdmsProductId}/price/{ppdid}/details",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => json_encode([
'apiProviderId' => 16,
'groupFaresForAvailabilityCheck' => false,
'fareTypeId' => 16,
'bookingDate' => '2026-02-01T05:49:35',
'timeId' => 'architecto'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://confirmation.freelancetravel.com/api/cache/product/{tdmsProductId}/price/{ppdid}/details"
payload := strings.NewReader("{\n \"apiProviderId\": 16,\n \"groupFaresForAvailabilityCheck\": false,\n \"fareTypeId\": 16,\n \"bookingDate\": \"2026-02-01T05:49:35\",\n \"timeId\": \"architecto\"\n}")
req, _ := http.NewRequest("GET", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://confirmation.freelancetravel.com/api/cache/product/{tdmsProductId}/price/{ppdid}/details")
.header("Content-Type", "application/json")
.body("{\n \"apiProviderId\": 16,\n \"groupFaresForAvailabilityCheck\": false,\n \"fareTypeId\": 16,\n \"bookingDate\": \"2026-02-01T05:49:35\",\n \"timeId\": \"architecto\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://confirmation.freelancetravel.com/api/cache/product/{tdmsProductId}/price/{ppdid}/details")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"apiProviderId\": 16,\n \"groupFaresForAvailabilityCheck\": false,\n \"fareTypeId\": 16,\n \"bookingDate\": \"2026-02-01T05:49:35\",\n \"timeId\": \"architecto\"\n}"
response = http.request(request)
puts response.read_body{
"success": false,
"title": "Validation error",
"code": 400,
"data": {
"bookingDate": [
"The booking date is not a valid date."
]
}
}Caching
Cache product price availability and booking details.
Fetches and caches fareprice availability for a specific product price detail ID, along with booking details. Requires query parameters for API provider, fare type, booking date, and time.
GET
/
api
/
cache
/
product
/
{tdmsProductId}
/
price
/
{ppdid}
/
details
Cache product price availability and booking details.
curl --request GET \
--url https://confirmation.freelancetravel.com/api/cache/product/{tdmsProductId}/price/{ppdid}/details \
--header 'Content-Type: application/json' \
--data '
{
"apiProviderId": 16,
"groupFaresForAvailabilityCheck": false,
"fareTypeId": 16,
"bookingDate": "2026-02-01T05:49:35",
"timeId": "architecto"
}
'import requests
url = "https://confirmation.freelancetravel.com/api/cache/product/{tdmsProductId}/price/{ppdid}/details"
payload = {
"apiProviderId": 16,
"groupFaresForAvailabilityCheck": False,
"fareTypeId": 16,
"bookingDate": "2026-02-01T05:49:35",
"timeId": "architecto"
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
apiProviderId: 16,
groupFaresForAvailabilityCheck: false,
fareTypeId: 16,
bookingDate: '2026-02-01T05:49:35',
timeId: 'architecto'
})
};
fetch('https://confirmation.freelancetravel.com/api/cache/product/{tdmsProductId}/price/{ppdid}/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://confirmation.freelancetravel.com/api/cache/product/{tdmsProductId}/price/{ppdid}/details",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => json_encode([
'apiProviderId' => 16,
'groupFaresForAvailabilityCheck' => false,
'fareTypeId' => 16,
'bookingDate' => '2026-02-01T05:49:35',
'timeId' => 'architecto'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://confirmation.freelancetravel.com/api/cache/product/{tdmsProductId}/price/{ppdid}/details"
payload := strings.NewReader("{\n \"apiProviderId\": 16,\n \"groupFaresForAvailabilityCheck\": false,\n \"fareTypeId\": 16,\n \"bookingDate\": \"2026-02-01T05:49:35\",\n \"timeId\": \"architecto\"\n}")
req, _ := http.NewRequest("GET", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://confirmation.freelancetravel.com/api/cache/product/{tdmsProductId}/price/{ppdid}/details")
.header("Content-Type", "application/json")
.body("{\n \"apiProviderId\": 16,\n \"groupFaresForAvailabilityCheck\": false,\n \"fareTypeId\": 16,\n \"bookingDate\": \"2026-02-01T05:49:35\",\n \"timeId\": \"architecto\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://confirmation.freelancetravel.com/api/cache/product/{tdmsProductId}/price/{ppdid}/details")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"apiProviderId\": 16,\n \"groupFaresForAvailabilityCheck\": false,\n \"fareTypeId\": 16,\n \"bookingDate\": \"2026-02-01T05:49:35\",\n \"timeId\": \"architecto\"\n}"
response = http.request(request)
puts response.read_body{
"success": false,
"title": "Validation error",
"code": 400,
"data": {
"bookingDate": [
"The booking date is not a valid date."
]
}
}Query Parameters
The API provider ID
Example:
16
Whether to group fares
Example:
false
The fare type ID
Example:
16
date The booking date (Y-m-d format)
Example:
"architecto"
The time slot ID
Example:
"architecto"
Body
application/json